#include <bits/stdc++.h>
using namespace std;

int n, maxI;
char knj[1000005];
char maxC;

int main()
{
    scanf("%d", &n);
    for (int i = 0; i < n; ++i)
    {
        cin >> knj[i];
    }
    for (int i = 0; i < n-1; ++i)
    {
        maxC = '-';
        maxI = -1;
        for (int j = i+1; j < n; ++j)
        {
            if (knj[i] < knj[j] && (knj[j] > maxC || knj[j] == maxC && j > maxI))
            {
                maxI = j;
                maxC = knj[j];
            }
        }
        if (i == n-2)
        {
            maxI = n-1;
            maxC = knj[n-1];
        }
        if (maxI != -1)
        {
            swap(knj[i], knj[maxI]);
            break;
        }
    }
    for (int i = 0; i < n; ++i)
    {
        cout << knj[i] << " ";
    }
    return 0;
}